# This file is part of SOUPDE.

# SOUPDE is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# SOUPDE is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with SOUPDE.  If not, see <http://www.gnu.org/licenses/>.
#
# Copyright 2010 Matthieu Weber <matthieu.weber@jyu.fi>

from test_functions import *
from incubator import SOUPDE

budget = 500000

f = F3(100)

soupde = SOUPDE.create(0, [20,3], f, Cr = 0.9, p_s = 0.5, p_u = 0.5)

while True:
  evaluations, fitness = soupde.iterate()
  print evaluations, fitness
  if evaluations >= budget:
    break

